summaryrefslogtreecommitdiff
path: root/debian/postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/postinst')
-rw-r--r--debian/postinst6
1 files changed, 6 insertions, 0 deletions
diff --git a/debian/postinst b/debian/postinst
index 834b069..870d67b 100644
--- a/debian/postinst
+++ b/debian/postinst
@@ -73,6 +73,12 @@ configure)
done
fi
+ if [ "$2" = "" ]; then
+ # Fresh install.
+ # Might fail if, eg, git is not installed.
+ etckeeper init || echo "etckeeper init failed; run it by hand" >&2
+ fi
+
# prints error and exits nonzero if the ignore file cannot be updated
etckeeper update-ignore || true
esac